Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::ParamsTrainingBundle Class Reference

`#include <params_training_featdef.h>`

List of all members.

## Public Member Functions

| ParamsTrainingBundle ()
void | StartHypothesisList ()
ParamsTrainingHypothesis & | AddHypothesis ()

## Public Attributes

GenericVector < ParamsTrainingHypothesisList > | hyp_list_vec

## Detailed Description

Definition at line 97 of file params_training_featdef.h.

## Constructor & Destructor Documentation

tesseract::ParamsTrainingBundle::ParamsTrainingBundle | ( |  | ) |

inline

Definition at line 99 of file params_training_featdef.h.

{};

## Member Function Documentation

ParamsTrainingHypothesis& tesseract::ParamsTrainingBundle::AddHypothesis | ( |  | ) |

inline

Definition at line 107 of file params_training_featdef.h.

{
if (hyp_list_vec.empty()) StartHypothesisList();
hyp_list_vec.back().push_back(ParamsTrainingHypothesis());
return hyp_list_vec.back().back();
}

void tesseract::ParamsTrainingBundle::StartHypothesisList | ( |  | ) |

inline

Definition at line 102 of file params_training_featdef.h.

{
hyp_list_vec.push_back(ParamsTrainingHypothesisList());
}

## Member Data Documentation

GenericVector<ParamsTrainingHypothesisList> tesseract::ParamsTrainingBundle::hyp_list_vec

Definition at line 113 of file params_training_featdef.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/params_training_featdef.h